%define phonon_version 4.5.0
%define strigi_version 0.7.5
%define soprano_version 2.9.0
%define attica_version 0.2.2
%define srcname kde-runtime

%define subrel 2
%define rel 1

Name: kdebase4-runtime
Summary: K Desktop Environment - Base Runtime
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 
URL: http://www.kde.org
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{srcname}-%{version}.tar.xz

# Branch patchs 100-199
Patch100: kde-runtime-4.14.3-CVE-2014-8600.patch

# Trunk patchs (200->299)

#Mageia patch (500->600)
Patch500: kdebase-runtime-4.5.74-fix-htsearch-path.patch
Patch503: kdebase-runtime-4.3.2-knotify-fix-cpu-charge.patch
Source504: kdebase-runtime-4.4.1-use-mga-icon.patch
Patch505: kdebase-runtime-4.7.3-add-category-for-help-fix-mga-2522.patch

# Testing Patches 600 -> ...
Patch601: kdebase-runtime-4.5.74-setgid-kdesud.patch
Patch602: kdebase-runtime-4.6.0-fedora-man-overrides.patch
Patch603: kdebase-runtime-4.6.0-fedora-support-for-compiz.patch
Patch604: kdebase-runtime-4.6.0-canberra.patch

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: kdepimlibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(libkactivities)
BuildRequires: nepomuk-core-devel >= 1:%{version}
BuildRequires: pkgconfig(phonon) >= %{phonon_version}
BuildRequires: pkgconfig(libstreams) >= %{strigi_version}
BuildRequires: pkgconfig(soprano) >= %{soprano_version}
BuildRequires: pkgconfig(libattica) >= %{attica_version}
BuildRequires: pkgconfig(OpenEXR)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(smbclient)
BuildRequires: pkgconfig(libssh)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: pkgconfig(NetworkManager) 
BuildRequires: jpeg-devel
BuildRequires: openslp-devel
BuildRequires: boost-devel
BuildRequires: doxygen

Requires: kdelibs4-core >= 2:%{version}
Requires: oxygen-icon-theme
Requires: polkit-kde-agent-1
Requires: kactivitymanagerd
# (lm) djvuthumbnail.so uses ddjvu to generate previews of djvu files (mga #10387)
Requires: djvulibre
# (lm) windowsexethumbnail.so uses wrestool & icotool to generate previews of .exe
Requires: icoutils

Suggests: kde4-l10n
Suggests: hicolor-icon-theme
Suggests: htdig
Suggests: kwallet-daemon
Suggests: kdialog
Suggests: gdb
Suggests: cagibi
# Add openssh-clients as suggests (for fish:// support noticed by anssi)
Suggests: openssh-clients
Suggests: nepomuk

# Added as suggests so users from live-cd can install them after 

Suggests: %name-handbook

Conflicts: kdebase4-workspace < 2:4.9.90
Conflicts: nepomuk-scribo < 1:0.6.4
Conflicts: kdebase4-runtime-devel < 1:4.6.90-5
Conflicts: nepomuk < 1:4.8.95

%description
KDE 4 application runtime components.

%files
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmremotewidgets.conf
%_kde_sysconfdir/xdg/menus/kde-information.menu
%_kde_bindir/kcmshell4
%_kde_bindir/kde-cp
%_kde_bindir/kde-mv
%_kde_bindir/kde-open
%_kde_bindir/kde4
%_kde_bindir/kde4-menu
%_kde_bindir/kdebugdialog
%_kde_bindir/keditfiletype
%_kde_bindir/kfile4
%_kde_bindir/kglobalaccel
%_kde_bindir/khelpcenter
%_kde_bindir/khotnewstuff-upload
%_kde_bindir/khotnewstuff4
%_kde_bindir/kiconfinder
%_kde_bindir/kioclient
%_kde_bindir/kmimetypefinder
%_kde_bindir/knotify4
%_kde_bindir/kquitapp
%_kde_bindir/kreadconfig
%_kde_bindir/kstart
%_kde_bindir/ksvgtopng
%_kde_bindir/ktraderclient
%_kde_bindir/ktrash
%_kde_bindir/kuiserver
%_kde_bindir/kwriteconfig
%_kde_bindir/plasmapkg
%_kde_bindir/plasma-remote-helper
%_kde_bindir/solid-hardware
%dir %_kde_libdir/kconf_update_bin
%_kde_libdir/kconf_update_bin/phonon_devicepreference_update
%_kde_libdir/kconf_update_bin/phonon_deviceuids_update
%_kde_libdir/kde4/comicbookthumbnail.so
%_kde_libdir/kde4/cursorthumbnail.so
%_kde_libdir/kde4/djvuthumbnail.so
%_kde_libdir/kde4/exrthumbnail.so
%_kde_libdir/kde4/fixhosturifilter.so
%_kde_libdir/kde4/htmlthumbnail.so
%_kde_libdir/kde4/imagethumbnail.so
%_kde_libdir/kde4/jpegthumbnail.so
%_kde_libdir/kde4/kcm_attica.so
%_kde_libdir/kde4/kcm_cgi.so
%_kde_libdir/kde4/kcm_componentchooser.so
%_kde_libdir/kde4/kcm_device_automounter.so
%_kde_libdir/kde4/kcm_emoticons.so
%_kde_libdir/kde4/kcm_filetypes.so
%_kde_libdir/kde4/kcm_icons.so
%_kde_libdir/kde4/kcm_kded.so
%_kde_libdir/kde4/kcm_kdnssd.so
%_kde_libdir/kde4/kcm_knotify.so
%_kde_libdir/kde4/kcm_locale.so
%_kde_libdir/kde4/kcm_phonon.so
%_kde_libdir/kde4/kcm_trash.so
%_kde_libdir/kde4/kcmspellchecking.so
%_kde_libdir/kde4/kded_desktopnotifier.so
%_kde_libdir/kde4/kded_device_automounter.so
%_kde_libdir/kde4/kded_kpasswdserver.so
%_kde_libdir/kde4/kded_ktimezoned.so
%_kde_libdir/kde4/kded_networkstatus.so
%_kde_libdir/kde4/kded_networkwatcher.so
%_kde_libdir/kde4/kded_phononserver.so
%_kde_libdir/kde4/kded_recentdocumentsnotifier.so
%_kde_libdir/kde4/kded_remotedirnotify.so
%_kde_libdir/kde4/kded_solidautoeject.so
%_kde_libdir/kde4/kded_soliduiserver.so
%_kde_libdir/kde4/kio_about.so
%_kde_libdir/kde4/kio_applications.so
%_kde_libdir/kde4/kio_archive.so
%_kde_libdir/kde4/kio_bookmarks.so
%_kde_libdir/kde4/kio_cgi.so
%_kde_libdir/kde4/kio_desktop.so
%_kde_libdir/kde4/kio_filter.so
%_kde_libdir/kde4/kio_finger.so
%_kde_libdir/kde4/kio_fish.so
%_kde_libdir/kde4/kio_floppy.so
%_kde_libdir/kde4/kio_info.so
%_kde_libdir/kde4/kio_man.so
%_kde_libdir/kde4/kio_network.so
%_kde_libdir/kde4/kio_nfs.so
%_kde_libdir/kde4/kio_recentdocuments.so
%_kde_libdir/kde4/kio_remote.so
%_kde_libdir/kde4/kio_settings.so
%_kde_libdir/kde4/kio_sftp.so
%_kde_libdir/kde4/kio_smb.so
%_kde_libdir//kde4/kio_tags.so
%_kde_libdir/kde4/kio_timeline.so
%_kde_libdir/kde4/kio_thumbnail.so
%_kde_libdir/kde4/kio_trash.so
%_kde_libdir/kde4/kshorturifilter.so
%_kde_libdir/kde4/kuriikwsfilter.so
%_kde_libdir/kde4/kurisearchfilter.so
%_kde_libdir/kde4/libkmanpart.so
%_kde_libdir/kde4/librenaudioplugin.so
%_kde_libdir/kde4/librenimageplugin.so
%_kde_libdir/kde4/localdomainurifilter.so
%_kde_libdir/kde4/plasma-kpart.so
%_kde_libdir/kde4/plasma_appletscript_declarative.so
%_kde_libdir/kde4/plasma_appletscript_simple_javascript.so
%_kde_libdir/kde4/plasma_containment_newspaper.so
%_kde_libdir/kde4/plasma_dataenginescript_javascript.so
%_kde_libdir/kde4/plasma_packagestructure_javascriptaddon.so
%_kde_libdir/kde4/plasma_runnerscript_javascript.so
%_kde_libdir/kde4/svgthumbnail.so
%_kde_libdir/kde4/textthumbnail.so
%_kde_libdir/kde4/windowsexethumbnail.so
%_kde_libdir/kde4/windowsimagethumbnail.so
%_kde_libdir/kde4/imports/org/kde/*
%_kde_libdir/kde4/platformimports/touch/org/kde/plasma
%_kde_libdir/kde4/libexec
%_kde_libdir/kde4/plugins
%_kde_libdir/attica_kde.so
%_kde_libdir/libkdeinit4_kcmshell4.so
%_kde_libdir/libkdeinit4_kglobalaccel.so
%_kde_libdir/libkdeinit4_khelpcenter.so
%_kde_libdir/libkdeinit4_kuiserver.so
%_kde_libdir/libknotifyplugin.so
%_kde_applicationsdir/Help.desktop
%_kde_applicationsdir/knetattach.desktop
%_kde_appsdir/desktoptheme
%_kde_appsdir/drkonqi
%_kde_appsdir/hardwarenotifications
%_kde_appsdir/kcm_componentchooser
%_kde_appsdir/kcm_phonon
%_kde_appsdir/kcmlocale
%_kde_appsdir/kconf_update/*.upd
%_kde_appsdir/kde
%_kde_appsdir/kglobalaccel
%_kde_appsdir/khelpcenter
%_kde_appsdir/kio_bookmarks
%_kde_appsdir/kio_desktop
%_kde_appsdir/kio_docfilter
%_kde_appsdir/kio_finger
%_kde_appsdir/kio_info
%_kde_appsdir/konqsidebartng
%_kde_appsdir/konqueror/dirtree/remote/smb-network.desktop
%_kde_appsdir/ksmserver
%_kde_appsdir/libphonon
%_kde_appsdir/phonon
%_kde_appsdir/remoteview
%_kde_datadir/config.kcfg/*.kcfg
%_kde_configdir/*.knsrc
%_kde_configdir/kshorturifilterrc
%_kde_datadir/desktop-directories/*.directory
%_kde_datadir/emoticons/kde4
%_kde_iconsdir/default.kde4
%_kde_iconsdir/hicolor/*/apps/knetattach.png
%_kde_iconsdir/hicolor/scalable/apps/knetattach.svgz
%_kde_services/*.protocol
%_kde_services/comicbookthumbnail.desktop
%_kde_services/componentchooser.desktop
%_kde_services/cursorthumbnail.desktop
%_kde_services/desktopthumbnail.desktop
%_kde_services/device_automounter_kcm.desktop
%_kde_services/directorythumbnail.desktop
%_kde_services/djvuthumbnail.desktop
%_kde_services/emoticons.desktop
%_kde_services/exrthumbnail.desktop
%_kde_services/filetypes.desktop
%_kde_services/fixhosturifilter.desktop
%_kde_services/htmlthumbnail.desktop
%_kde_services/icons.desktop
%_kde_services/imagethumbnail.desktop
%_kde_services/jpegthumbnail.desktop
%_kde_services/kcm_attica.desktop
%_kde_services/kcm_kdnssd.desktop
%_kde_services/kcm_phonon.desktop
%_kde_services/kcmcgi.desktop
%_kde_services/kcmkded.desktop
%_kde_services/kcmnotify.desktop
%_kde_services/kcmtrash.desktop
%_kde_services/kglobalaccel.desktop
%_kde_services/khelpcenter.desktop
%_kde_services/kmanpart.desktop
%_kde_services/knotify4.desktop
%_kde_services/kshorturifilter.desktop
%_kde_services/kuiserver.desktop
%_kde_services/kuriikwsfilter.desktop
%_kde_services/kurisearchfilter.desktop
%_kde_services/language.desktop
%_kde_services/localdomainurifilter.desktop
%_kde_services/plasma-containment-newspaper.desktop
%_kde_services/plasma-kpart.desktop
%_kde_services/plasma-packagestructure-javascript-addon.desktop
%_kde_services/plasma-scriptengine-applet-declarative.desktop
%_kde_services/plasma-scriptengine-applet-simple-javascript.desktop
%_kde_services/plasma-scriptengine-dataengine-javascript.desktop
%_kde_services/plasma-scriptengine-runner-javascript.desktop
%_kde_services/renaudiodlg.desktop
%_kde_services/renimagedlg.desktop
%_kde_services/searchproviders
%_kde_services/spellchecking.desktop
%_kde_services/svgthumbnail.desktop
%_kde_services/textthumbnail.desktop
%_kde_services/windowsexethumbnail.desktop
%_kde_services/windowsimagethumbnail.desktop
%_kde_services/kded/desktopnotifier.desktop
%_kde_services/kded/device_automounter.desktop
%_kde_services/kded/kpasswdserver.desktop
%_kde_services/kded/ktimezoned.desktop
%_kde_services/kded/networkstatus.desktop
%_kde_services/kded/networkwatcher.desktop
%_kde_services/kded/phononserver.desktop
%_kde_services/kded/recentdocumentsnotifier.desktop
%_kde_services/kded/remotedirnotify.desktop
%_kde_services/kded/solidautoeject.desktop
%_kde_services/kded/soliduiserver.desktop
%_kde_servicetypes/knotifynotifymethod.desktop
%_kde_servicetypes/phononbackend.desktop
%_kde_servicetypes/plasma-javascriptaddon.desktop
%_kde_servicetypes/searchprovider.desktop
%_kde_servicetypes/thumbcreator.desktop
%_kde_datadir/locale/currency
%_kde_datadir/locale/l10n/*/*
%_kde_datadir/locale/l10n/*.desktop
%_kde_mandir/man?/*
%_kde_datadir/mime/packages/*.xml
%_kde_datadir/sounds/*
%_datadir/polkit-1/actions/*.policy
%_datadir/dbus-1/services/*.service
%_datadir/dbus-1/system-services/*.service
%_datadir/dbus-1/interfaces/*

#------------------------------------------------------------------------------
# Split handbook in his own package should also fix mga #2101

%package handbook
Summary: KDE Handbook for %{name}
Conflicts: %name < 1:4.7.1
Requires: %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This packages provides the handbook for %{name}

%files handbook
%doc COPYING COPYING.LIB
%doc %_kde_docdir/HTML/en/*

#------------------------------------------------------------------------------
%package -n nepomuk
Summary: Nepomuk core service daemon
Conflicts: kdebase4-runtime < 1:4.7.97-2
Requires: nepomuk-core >= 1:%{version}
Requires: raptor2
Requires: soprano-plugin-redland
Requires: soprano-plugin-virtuoso
# pdftotext is a requires for nepomuk to handle PDF file (commit db8f01aaa990dfd625ab705f3f84bef4c6f85896 & kde #231936 )
#Requires: poppler
#Requires: %{mklibname strigiqtdbusclient0}

%description -n nepomuk
This package provides the core services daemon and the service registry
daemon for Nepomuk.

%files -n nepomuk
%_kde_autostart/nepomukcontroller.desktop
%_kde_bindir/nepomukcontroller
%_kde_libdir/kde4/kcm_nepomuk.so
%_kde_libdir/kde4/kded_nepomuksearchmodule.so
%_kde_libdir/kde4/kio_nepomuk.so
%_kde_libdir/kde4/kio_nepomuksearch.so
%_kde_applicationsdir/nepomukcontroller.desktop
%_kde_services/kcm_nepomuk.desktop
%_kde_services/kded/nepomuksearchmodule.desktop

#------------------------------------------------------------------------------

%package -n kwallet-daemon
Summary: Kwallet daemon
Group: Networking/Remote access
Conflicts: %{name} < 1:4.5.71

%description -n kwallet-daemon
Kwallet daemon.

%files -n kwallet-daemon
%_kde_bindir/kwalletd
%_kde_libdir/libkdeinit4_kwalletd.so
%_kde_appsdir/kwalletd
%_kde_services/kwalletd.desktop

#------------------------------------------------------------------------------

%define kwalletbackend_major 4
%define libkwalletbackend %mklibname kwalletbackend %kwalletbackend_major

%package -n %libkwalletbackend
Summary: Kwalletd backend library
Group: System/Libraries

%description -n %libkwalletbackend
Library used insided kwalletd to manage the actual files and encryption.

%files -n %libkwalletbackend
%_kde_libdir/libkwalletbackend.so.%{kwalletbackend_major}*

#------------------------------------------------------------------------------

%define molletnetwork_major 4
%define libmolletnetwork %mklibname molletnetwork %molletnetwork_major

%package -n %libmolletnetwork
Summary: KDE4 core library
Group: System/Libraries

%description -n %libmolletnetwork
KDE 4 core library.

%files -n %libmolletnetwork
%_kde_libdir/libmolletnetwork.so.%{molletnetwork_major}*

#------------------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Requires: %name = %epoch:%version
Requires: %libkwalletbackend = %epoch:%version
Requires: %libmolletnetwork = %epoch:%version
Conflicts: nepomuk < 1:4.8.1-2

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%_kde_includedir/*.h
%_kde_libdir/libkwalletbackend.so
%_kde_libdir/libmolletnetwork.so
%_kde_appsdir/cmake/modules/*.cmake

#------------------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
rm -f %buildroot%_kde_iconsdir/hicolor/index.theme


%changelog
* Mon Nov 17 2014 luigiwalser <luigiwalser> 1:4.10.5-1.2.mga3
+ Revision: 797676
- add patch from fedora to fix CVE-2014-8600

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.5
    - Update tarball to KDE SC 4.10.4

  + lmenut <lmenut>
    - Add missing requires:
      + djvulibre: ddjvu is used to generate previews of djvu files
        (mga #10387 - thanks to Oleg Bosis)
      + icoutils: wrestool and icotool are used to generate preview of exe files

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407143
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401862
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394328
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + anssi <anssi>
    - fix versioning of conflict against nepomuk-scribo

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1:4.9.97-1.mga3
+ Revision: 340030
- Update conflicts version with kdebase4-workspace

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334478
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326620
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Dec 02 2012 fwang <fwang> 1:4.9.80-2.mga3
+ Revision: 325045
- rebuild for new openexr

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320166
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316119
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301903
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289648
- Update tarball to KDE SC 4.9.1
- Remove Requires for media-player-info (it's needed by solid, not kde-runtime)

* Sat Aug 18 2012 neoclust <neoclust> 1:4.9.0-3.mga3
+ Revision: 281904
- Rebuild against new attica

* Fri Aug 17 2012 neoclust <neoclust> 1:4.9.0-2.mga3
+ Revision: 281818
- Rebuild against new attica

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276628
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

  + lmenut <lmenut>
    - fix version in conflicts against nepomuk

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269664
- new version 4.8.97

* Sun Jul 01 2012 anssi <anssi> 1:4.8.95-2.mga3
+ Revision: 265933
- add Conflicts against old nepomuk due to file conflicts

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265507
- update file list
- update file list
- update file list
- split nepomuk
- add br
- new version 4.8.95

* Mon Jun 18 2012 fwang <fwang> 1:4.8.4-3.mga3
+ Revision: 261644
- rebuild for new exiv

* Mon Jun 11 2012 mikala <mikala> 1:4.8.4-2.mga3
+ Revision: 259575
- Disable ntrack support

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257190
- new version 4.8.4

* Thu May 10 2012 mikala <mikala> 1:4.8.2-3.mga2
+ Revision: 235177
- Add missing buildrequires for networkmanager (fix akonadi issues after suspend to ram/disk)

* Fri Apr 13 2012 mikala <mikala> 1:4.8.2-2.mga2
+ Revision: 230572
- Add missing requires on handbook package

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228421
- new version 4.8.2

* Sun Apr 01 2012 lmenut <lmenut> 1:4.8.1-3.mga2
+ Revision: 227690
- Add some 4.8 branch patchs:
  + patch100: nepomuk - improved performance on res identification (fix kde #289932)
  + patch101: nepomuk - Merge duplicate statements in the ResourceMerger
- Nepomuk requires lib(64)strigiqtdbusclient0

* Sat Mar 10 2012 fwang <fwang> 1:4.8.1-2.mga2
+ Revision: 222530
- move .so into correct sub package

  + mikala <mikala>
    - New upstream tarball

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220824
- update file list
- new version 4.8.1
- there is no such provides

* Mon Jan 23 2012 dmorgan <dmorgan> 1:4.8.0-1.mga2
+ Revision: 200217
- Fix package ownage

  + mikala <mikala>
    - Updating tarball to KDE 4.8.0
    - Fix files list for nepomuk package ( #mga 4117)

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190871
- Update tarball to KDE SC 4.7.97

* Tue Dec 27 2011 mikala <mikala> 1:4.7.95-2.mga2
+ Revision: 188028
- Rebuild for attica

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185780
- Update tarball to KDE SC 4.7.95
- rediff patch502
- fix groups

* Sat Dec 17 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 183380
- Update tarball to KDE SC 4.7.90
- drop patch200 (merged upstream)
- rediff patch502
- Fix BuildRequires
- put all nepomuk stuff in a nepomuk package & add it as suggests on kdebase4-runtime (so we'll be able to ignore it on live-cd)
- use gold linker
- fix files list

* Tue Dec 06 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 177375
- Add openssh-clients as suggests (spotted by Anssi)
- Update tarball to KDE SC 4.7.4
- Drop patch201 (merged in 4.7 branch by colin)
- Add patch505 to fix mga #2522 ( KDE documentation is now available in the documentation submenu)
- Add doxygen as BuildRequires

  + colin <colin>
    - Fix error on 2nd viewing of the Audio Device Setup tab (mga#3496)

* Fri Nov 25 2011 mikala <mikala> 1:4.7.3-2.mga2
+ Revision: 171772
- Add kactivitymanagerd as requires (binary split out of kde-runtime now)
- Add patch200 to fix build ( libkactivities is a standalone package)

* Tue Nov 01 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161134
- Update tarball to KDE SC 4.7.3
- Add poppler as requires (to get pdftotext needed by nepomuk for pdf handling kde #231936)

* Sun Oct 09 2011 fwang <fwang> 1:4.7.2-2.mga2
+ Revision: 153440
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151940
- Update tarball to KDE SC 4.7.2
- add boost-devel as BR
- add raptor2 & soprano-plugin-redland as suggests (used by nepomuk for ontology import)

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140632
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- Fix license
- remove %%defattr

* Mon Jul 18 2011 mikala <mikala> 1:4.6.95-1.mga2
+ Revision: 125986
- Add soprano as suggests
- remove kde4-splash-mdv as suggests (it should be in Default/netbook-kde4-config)
- use pkconfig() for BuildRequires

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122283
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)
- Drop patch501 (merged upstream)

* Thu Jul 07 2011 mikala <mikala> 1:4.6.90-5.mga2
+ Revision: 119599
- Move dbus files from -devel to kdebase4-runtime package

* Mon Jul 04 2011 mikala <mikala> 1:4.6.90-4.mga2
+ Revision: 117873
- Add ntrack as a requires (should fix usage of 100%% by kded4)

* Thu Jun 30 2011 dmorgan <dmorgan> 1:4.6.90-3.mga2
+ Revision: 116368
- Enable libqzeitgeist-devel

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115700
- Disable libqzeitgeist-devel BR
- Update tarball to KDE SC 4.7 rc1 ( 4.6.90)
- Drop branch & trunk patch merged upstream
- Drop patch505 merged upstream \o/ (mageia support for drkonqi :D)
- Don't require plugin-soprano-redland (we're using virtuoso)
- Remove libxine-devel BR ( phonon-xine is dead upstream, so we're dropping it )
- Add ntrack-devel as BR
- Add libqzeitgeist-devel as BR
- Add openslp-devel as BR
- Remove old conflicts
- Fix file list

* Fri Jun 10 2011 mikala <mikala> 1:4.6.4-1.mga2
+ Revision: 103080
- Remove old obsoletes
- Add patches from 4.6 branch:
 - Patch100 for kioslave to fix kde #267300 (Make sure links with ? and = and %% in them are rendered correctly)
 - Patch101 for kioslave thumbnail to fix kde #211491(Added preview support for ICO files)
 - Patch102 for nepomuk services tub to fix kde #272900 (Use the correct cataloge for the stub app itself and the service)
- Update tarball to 4.6.4
- Start using %%apply_patches macro
- Rediff patch to allow use of %%apply_patches macro
- Drop patch merged

* Mon May 16 2011 mikala <mikala> 1:4.6.3-2.mga1
+ Revision: 99284
- Add patch105 from 4.6 branch to fix kde #262488 (Fix KCM Locale crash when invalid language codes in kdeglobals)

* Wed May 11 2011 mikala <mikala> 1:4.6.3-1.mga1
+ Revision: 97286
- Add patchs from 4.6 branch:
 - Patch100 to add drkonqi mappings for kde-telepathy applications
 - Patch101 to for drkonqi to improve duplicates count on the Report Information Dialog
 - Patch102 for nepomuk (watch for file modifications in indexed folders kde review #101279)
 - Patch103 for strigi (Improved Strigi DBus API allowing to recursively update a folder)
 - Patch104 for the sftp kioslave to fix kde #255296 (Don't call del when asked to overwrite a destination file in rename)

* Wed May 04 2011 mikala <mikala> 1:4.6.3-0.mga1
+ Revision: 94605
- Update tarball to 4.6.3
- Remove patchs merged

* Thu Apr 21 2011 mikala <mikala> 1:4.6.2-1.mga1
+ Revision: 89576
- Change order in patchs (branch & trunk patchs should apply before mageia)
- Add branch patchs:
  -patch101 for kdepasswdserver ( Delete the item after removing it from the QList)
  -patch102 for plasma scriptengines ( update API)
  -patch103 for knotify to fix kde #230022 (Fix context list parsing in knotify)
  -patch104 for nepomuk (Fix broken nepomuk ui files to make messages translatable)
  -patch105 for plasma (make connection to connectedSourcesChanged queued)

* Tue Apr 05 2011 mikala <mikala> 1:4.6.2-0.mga1
+ Revision: 80891
- Update tarball to 4.6.2
- Drop branch patchs merged
- Add branch patch100 (fix used of connectAllSources)

* Sat Mar 19 2011 mikala <mikala> 1:4.6.1-3.mga1
+ Revision: 74467
- Add patch regarding nepomuk from 4.6 branch:
  	-patch103 only emit notifications events if actually indexing
  	-patch104 only push statement if we can safely convert the literal given by strigi
- Use Requires:polkit-kde-agent-1 instead of polkit-kde-1 (suggest by misc)
- Minor layout changes

* Fri Mar 18 2011 mikala <mikala> 1:4.6.1-2.mga1
+ Revision: 73965
- Add patchs from 4.6 branch :
        - patch100 to parse properly kdesu args ( kde #265026)
        - patch101 to make strigi not update folder recursively
        - patch102 to fix a crash in nepomuk services ( kde #27666)
- Minor changes in patch5
- Remove buildroot tag

* Sun Feb 27 2011 mikala <mikala> 1:4.6.1-1.mga1
+ Revision: 61248
- Update tarball to 4.6.1
- Fix file list
- Update some summary & description

* Fri Feb 25 2011 colin <colin> 1:4.6.0-2.mga1
+ Revision: 59511
- Enable experimental (alpha) support for libcanberra in knotify

  + mikala <mikala>
    - Add patch302 from fedora ( Add overrides in man path)
    - Add patch303 from fedora ( Use ccsm instead of simple-csm for compiz configuration)
    - Add patch#5 (support for mageia in drkonqi)

* Sat Jan 22 2011 ahmad <ahmad> 1:4.6.0-1.mga1
+ Revision: 31606
- update to 4.6.0

* Mon Jan 17 2011 ahmad <ahmad> 1:4.5.95-2.mga1
+ Revision: 21693
- drop some old obsoletes
- use the current phonon Epoch in the phonon-devel BR
- really disable home icon patch

  + dmorgan <dmorgan>
    - imported package kdebase4-runtime

